Loading...
Searching...
No Matches
BALL::DockingAlgorithm Class Reference
Molecular Modeling » Molecular Structure » Docking of molecular structures

`#include <BALL/DOCKING/COMMON/dockingAlgorithm.h>`

Inheritance diagram for BALL::DockingAlgorithm:

## Public Types

enum | DISPLAYMODE { NO_DISPLAY = 0 , BEST_INTERMEDIATE_POSES = 1 , ALL_INTERMEDIATE_POSES = 2 , NO_INTERMEDIATE_POSES = 3 }

## Public Member Functions

| DockingAlgorithm ()
| DockingAlgorithm (System &receptor, System &ligand, Options &new_options)
| DockingAlgorithm (System &receptor, System &ligand)
virtual | ~DockingAlgorithm ()
virtual void | setup (System &receptor, System &ligand, Options &new_options)
virtual void | setup (System &receptor, System &ligand)
virtual double | dockLigand (AtomContainer &ligand, bool verbose=0)
ScoringFunction * | getScoringFunction ()
void | setScoringFunction (ScoringFunction *scoring)
void | processMultiMoleculeFile (string input_filename, string output_filename, double score_cutoff, vector< double > *min_atoms_in_ref_areas=0, String toolinfo="", String timestamp="")
void | setLigand (AtomContainer *ligand)
const AtomContainer * | getLigand ()
const AtomContainer * | getReferenceLigand ()
const String & | getName ()
virtual void | start ()
virtual void | pause ()
virtual void | proceed ()
virtual void | abort ()
virtual void | finish ()
virtual void | reset ()
virtual bool | hasFinished () const
virtual bool | wasAborted () const
virtual bool | wasPaused () const
virtual float | getProgress () const
virtual ConformationSet | getConformationSet (Index total_conformations=0)
double | calculateRMSD (const AtomContainer &S1, const AtomContainer &S2, int *no_matched_atoms=NULL)
const AtomContainer * | getVisualizationPose ()
void | setVisualizationPose (const double &score)
double | getVisualizationPoseScore ()
DISPLAYMODE | getDisplayMode ()
void | setDisplayMode (DISPLAYMODE display_mode)
void | setMaxFps (int no)

## Static Public Member Functions

static void | readOptionFile (String filename, Options &output_options, list< Constraint * > &output_constraints, const AtomContainer *ref_ligand=0)
static void | writeOptionFile (String filename, Options &input_options, list< Constraint * > &input_constraints)
static Matrix4x4 | mapCompounds (const AtomContainer &S1, const AtomContainer &S2, Size &no_matched_heavy_atoms, double &rmsd, double upper_bound, double lower_bound, double tolerance)

## Public Attributes

Options | options
bool | new_pose_to_be_visualized

## Static Public Attributes

static const String | OPTION_FILE_PARAMETER_NAME

## Protected Member Functions

void | mapLigandOntoReferenceLigand ()

## Static Protected Member Functions

static void | writeSubcategories_ (Options &category, std::ostream &out)

## Protected Attributes

System * | system1_
System * | system2_
bool | pause_
bool | abort_
bool | finished_
AtomContainer * | reference_ligand_
String | name_
AtomContainer * | receptor_
AtomContainer * | ligand_
ScoringFunction * | scoring_function_
String | parameter_filename_
String | scoring_type_
DISPLAYMODE | display_mode_
AtomContainer | visualization_pose_
double | visualization_pose_score_
double | min_sec_between_visualizations_
Timer | visualization_timer_

## Detailed Description

Interface class for docking algorithms.

Definition at line 45 of file dockingAlgorithm.h.

## Member Enumeration Documentation

## DISPLAYMODE

enum BALL::DockingAlgorithm::DISPLAYMODE

Enumerator
NO_DISPLAY |
BEST_INTERMEDIATE_POSES |
ALL_INTERMEDIATE_POSES |
NO_INTERMEDIATE_POSES |

Definition at line 49 of file dockingAlgorithm.h.

## Constructor & Destructor Documentation

## DockingAlgorithm() [1/3]

BALL::DockingAlgorithm::DockingAlgorithm | ( |  | ) |

## DockingAlgorithm() [2/3]

BALL::DockingAlgorithm::DockingAlgorithm | ( | System & | receptor,
|  | System & | ligand,
|  | Options & | new_options )

## DockingAlgorithm() [3/3]

BALL::DockingAlgorithm::DockingAlgorithm | ( | System & | receptor,
|  | System & | ligand )

## ~DockingAlgorithm()

virtual BALL::DockingAlgorithm::~DockingAlgorithm | ( |  | ) |

virtual

## Member Function Documentation

## abort()

virtual void BALL::DockingAlgorithm::abort | ( |  | ) |

virtual

## calculateRMSD()

double BALL::DockingAlgorithm::calculateRMSD | ( | const AtomContainer & | S1,
|  | const AtomContainer & | S2,
|  | int * | no_matched_atoms = NULL )

## dockLigand()

virtual double BALL::DockingAlgorithm::dockLigand | ( | AtomContainer & | ligand,
|  | bool | verbose = 0 )

virtual

dock the given ligand and return its score

Reimplemented in BALL::EvolutionaryDocking, and BALL::IMGDock.

## finish()

virtual void BALL::DockingAlgorithm::finish | ( |  | ) |

virtual

## getConformationSet()

virtual ConformationSet BALL::DockingAlgorithm::getConformationSet | ( | Index | total_conformations = 0 | ) |

virtual

Return total_conformations putative complexes, ordered according to their rank. If total_conformations == 0, the option TOP_N is used

Reimplemented in BALL::GeometricFit.

## getDisplayMode()

DISPLAYMODE BALL::DockingAlgorithm::getDisplayMode | ( |  | ) |

## getLigand()

const AtomContainer * BALL::DockingAlgorithm::getLigand | ( |  | ) |

## getName()

const String & BALL::DockingAlgorithm::getName | ( |  | ) |

get the name of this docking algorithm

## getProgress()

virtual float BALL::DockingAlgorithm::getProgress | ( |  | ) | const

virtual

Reimplemented in BALL::EvolutionaryDocking, and BALL::GeometricFit.

## getReferenceLigand()

const AtomContainer * BALL::DockingAlgorithm::getReferenceLigand | ( |  | ) |

## getScoringFunction()

ScoringFunction * BALL::DockingAlgorithm::getScoringFunction | ( |  | ) |

return the ScoringFunction that is used by this DockingAlgorithm

## getVisualizationPose()

const AtomContainer * BALL::DockingAlgorithm::getVisualizationPose | ( |  | ) |

## getVisualizationPoseScore()

double BALL::DockingAlgorithm::getVisualizationPoseScore | ( |  | ) |

## hasFinished()

virtual bool BALL::DockingAlgorithm::hasFinished | ( |  | ) | const

virtual

Reimplemented in BALL::GeometricFit.

## mapCompounds()

Matrix4x4 BALL::DockingAlgorithm::mapCompounds | ( | const AtomContainer & | S1,
|  | const AtomContainer & | S2,
|  | Size & | no_matched_heavy_atoms,
|  | double & | rmsd,
|  | double | upper_bound,
|  | double | lower_bound,
|  | double | tolerance )

static

## mapLigandOntoReferenceLigand()

void BALL::DockingAlgorithm::mapLigandOntoReferenceLigand | ( |  | ) |

protected

## pause()

virtual void BALL::DockingAlgorithm::pause | ( |  | ) |

virtual

## proceed()

virtual void BALL::DockingAlgorithm::proceed | ( |  | ) |

virtual

## processMultiMoleculeFile()

void BALL::DockingAlgorithm::processMultiMoleculeFile | ( | string | input_filename,
|  | string | output_filename,
|  | double | score_cutoff,
|  | vector< double > * | min_atoms_in_ref_areas = 0,
|  | String | toolinfo = "",
|  | String | timestamp = "" )

## readOptionFile()

void BALL::DockingAlgorithm::readOptionFile | ( | String | filename,
|  | Options & | output_options,
|  | list< Constraint * > & | output_constraints,
|  | const AtomContainer * | ref_ligand = 0 )

static

## reset()

virtual void BALL::DockingAlgorithm::reset | ( |  | ) |

virtual

resets Algorithm before new dock-run, e.g. sets finished_ to false

## setDisplayMode()

void BALL::DockingAlgorithm::setDisplayMode | ( | DISPLAYMODE | display_mode | ) |

## setLigand()

void BALL::DockingAlgorithm::setLigand | ( | AtomContainer * | ligand | ) |

## setMaxFps()

void BALL::DockingAlgorithm::setMaxFps | ( | int | no | ) |

Set the maximal number of frames per second for the visualization output. This affects only the number of poses that are written for visualization NOT the actual speed of the docking algorithm itself.

## setScoringFunction()

void BALL::DockingAlgorithm::setScoringFunction | ( | ScoringFunction * | scoring | ) |

inline

Definition at line 94 of file dockingAlgorithm.h.

## setup() [1/2]

virtual void BALL::DockingAlgorithm::setup | ( | System & | receptor,
|  | System & | ligand )

virtual

Alternative setup. Assigns systems 1 and two without changing the options for this DockingAlgorithm.

Reimplemented in BALL::GeometricFit, and BALL::IMGDock.

## setup() [2/2]

virtual void BALL::DockingAlgorithm::setup | ( | System & | receptor,
|  | System & | ligand,
|  | Options & | new_options )

virtual

Operations Full setup. Assigns systems 1 and two and the options for this DockingAlgorithm.

Reimplemented in BALL::EvolutionaryDocking, BALL::GeometricFit, and BALL::IMGDock.

## setVisualizationPose()

void BALL::DockingAlgorithm::setVisualizationPose | ( | const double & | score | ) |

## start()

virtual void BALL::DockingAlgorithm::start | ( |  | ) |

virtual

Reimplemented in BALL::EvolutionaryDocking, BALL::GeometricFit, and BALL::IMGDock.

## wasAborted()

virtual bool BALL::DockingAlgorithm::wasAborted | ( |  | ) | const

inline virtual

Definition at line 133 of file dockingAlgorithm.h.

## wasPaused()

virtual bool BALL::DockingAlgorithm::wasPaused | ( |  | ) | const

inline virtual

Definition at line 137 of file dockingAlgorithm.h.

## writeOptionFile()

void BALL::DockingAlgorithm::writeOptionFile | ( | String | filename,
|  | Options & | input_options,
|  | list< Constraint * > & | input_constraints )

static

## writeSubcategories_()

void BALL::DockingAlgorithm::writeSubcategories_ | ( | Options & | category,
|  | std::ostream & | out )

static protected

## Member Data Documentation

## abort_

bool BALL::DockingAlgorithm::abort_

protected

Definition at line 179 of file dockingAlgorithm.h.

## display_mode_

DISPLAYMODE BALL::DockingAlgorithm::display_mode_

protected

Definition at line 200 of file dockingAlgorithm.h.

## finished_

bool BALL::DockingAlgorithm::finished_

protected

Definition at line 180 of file dockingAlgorithm.h.

## ligand_

AtomContainer* BALL::DockingAlgorithm::ligand_

protected

Definition at line 189 of file dockingAlgorithm.h.

## min_sec_between_visualizations_

double BALL::DockingAlgorithm::min_sec_between_visualizations_

protected

Definition at line 207 of file dockingAlgorithm.h.

## name_

String BALL::DockingAlgorithm::name_

protected

the name of the docking algorithm

Definition at line 185 of file dockingAlgorithm.h.

## new_pose_to_be_visualized

bool BALL::DockingAlgorithm::new_pose_to_be_visualized

Definition at line 162 of file dockingAlgorithm.h.

## OPTION_FILE_PARAMETER_NAME

const String BALL::DockingAlgorithm::OPTION_FILE_PARAMETER_NAME

static

Definition at line 154 of file dockingAlgorithm.h.

## options

Options BALL::DockingAlgorithm::options

Attributes

Definition at line 67 of file dockingAlgorithm.h.

## parameter_filename_

String BALL::DockingAlgorithm::parameter_filename_

protected

Definition at line 195 of file dockingAlgorithm.h.

## pause_

bool BALL::DockingAlgorithm::pause_

protected

Definition at line 178 of file dockingAlgorithm.h.

## receptor_

AtomContainer* BALL::DockingAlgorithm::receptor_

protected

Definition at line 187 of file dockingAlgorithm.h.

## reference_ligand_

AtomContainer* BALL::DockingAlgorithm::reference_ligand_

protected

Definition at line 182 of file dockingAlgorithm.h.

## scoring_function_

ScoringFunction* BALL::DockingAlgorithm::scoring_function_

protected

Definition at line 193 of file dockingAlgorithm.h.

## scoring_type_

String BALL::DockingAlgorithm::scoring_type_

protected

name of the ScoringFunction to be used

Definition at line 198 of file dockingAlgorithm.h.

## system1_

System* BALL::DockingAlgorithm::system1_

protected

Definition at line 175 of file dockingAlgorithm.h.

## system2_

System* BALL::DockingAlgorithm::system2_

protected

Definition at line 176 of file dockingAlgorithm.h.

## visualization_pose_

AtomContainer BALL::DockingAlgorithm::visualization_pose_

protected

copy of a intermediate pose that is to be visualized.

Definition at line 203 of file dockingAlgorithm.h.

## visualization_pose_score_

double BALL::DockingAlgorithm::visualization_pose_score_

protected

Definition at line 205 of file dockingAlgorithm.h.

## visualization_timer_

Timer BALL::DockingAlgorithm::visualization_timer_

protected

Definition at line 208 of file dockingAlgorithm.h.